Skip to main content
GET
/
datasets
/
{dataset_id}
/
documents
/
{document_id}
/
segments
List Chunks
curl --request GET \
  --url https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/segments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/segments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/segments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "data": [ { "id": "f3d1c7be-9f3a-40d8-8eb8-3a1ef9c3f2c1", "position": 1, "document_id": "a8e0e5b5-78c6-4130-a5ce-25feb0e0b4ac", "content": "Dify is an open-source LLM app development platform.", "sign_content": "", "answer": "", "word_count": 9, "tokens": 12, "keywords": [ "dify", "platform", "llm" ], "index_node_id": "a1b2c3d4-e5f6-7890-abcd-000000000001", "index_node_hash": "abc123def456", "hit_count": 0, "enabled": true, "disabled_at": null, "disabled_by": null, "status": "completed", "created_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4", "created_at": 1741267200, "updated_at": 1741267200, "updated_by": "ad313dd6-ef04-4dd1-a5b0-c0f0b9e2e7e4", "indexing_at": 1741267200, "completed_at": 1741267200, "error": null, "stopped_at": null, "child_chunks": [], "attachments": [], "summary": null } ], "doc_form": "text_model", "total": 1, "has_more": false, "limit": 20, "page": 1 }

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer . Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

document_id
string<uuid>
required

Document ID.

Query Parameters

page
integer
default:1

Page number to retrieve.

limit
integer
default:20

Number of items per page. Server caps at 100.

status
string[]

Filter chunks by indexing status, e.g. completed, indexing, error.

keyword
string

Search keyword.

Response

List of chunks.

data
object[]

List of chunks.

doc_form
string

Document chunking mode used by this document.

total
integer

Total number of matching chunks.

has_more
boolean

Whether more items exist on the next page.

limit
integer

Number of items per page.

page
integer

Current page number.

Last modified on July 9, 2026